#!/bin/bash
#
# script for setting up and running the log server

set -euo pipefail

if [[ ! -d "ssl" || ! -f "docker-compose.yml" || ! -f "docker-compose.base.yml" ]]; then
    echo >&2 "error: this script needs to be executed from the project directory!"
    exit 1
fi

# generating the ssl key pairs
./scripts/generate-ssl.sh

# initialize the security configuration
docker compose run os-node-1 ./init-security.sh

# run the server
docker compose up -d
